indexing

   title:       "Abstract formatter, raises exceptions ",
                "calls from parser for any recognized type";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Igor Nesterof (nest@eiffel.ru)";
   original:    08,Sep,1995;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "abst_fmt.e"

deferred class ABSTRACT_FORMATTER

inherit
   STRING_TOOLS

feature {ABSTRACT_FORMATTER}

   exc : ERROR_HANDLER is
      once
         !!Result
      end

   raise_exception( msg : STRING) is
      local
         s : STRING
--         po : PROBJ
      do
--         !!po
--         po.print(Current)
         s := "Bad Picture("
         x_append(s,msg)
         x_extend(s,')')
         exc.raise("SCIENTIFIC_FORMATTER",s,0,Current)
      end

feature {ANY}

------------------------------------------------------------make
-- create formatter from object, need to format
-- effected with parameter type redefinition
   make,frozen abstract_make(a:any) is
      do
      end
------------------------------------------------------------set_width
   set_width(w:INTEGER) is
      do
         raise_exception("Illegal width")
      end
------------------------------------------------------------set_precision
   set_precision(p:INTEGER) is
      do
         raise_exception("Illegal precision")
      end
------------------------------------------------------------set_sign
   set_sign(s:CHARACTER) is
      do
         raise_exception("Illegal sign")
      end
------------------------------------------------------------set_align_left
   set_align_left is
      do
         raise_exception("Illegal left align")
      end
------------------------------------------------------------set_align_right
   set_align_right is
      do
         raise_exception("Illegal right align")
      end
------------------------------------------------------------set_align_center
   set_align_center is
      do
         raise_exception("Illegal right align")
      end
------------------------------------------------------------set_align_char
   set_align_char(c:CHARACTER) is
      do
         raise_exception("Illegal align char")
      end
------------------------------------------------------------output
   output:STRING is deferred end

end -- class ABSTRACT_FOMATTER
