indexing

   title:       "SCIENTIFIC_FORMAT extension example";
   cluster:     "";
   project:     "FORMAT";
   copyright:   "(C) Frieder Monninger & Alexei Shestialtynov, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    12,Sept,1995;
   version:     1.0;
   last_change:
   approved_by:
   approved:
   done_at:     "SiG Computer Inc. Moscow (info@eiffel.ru)";
   extrnl_name: "ext_form.e"

class EXT_SCIENTIFIC_FORMAT
   -- Class illustrate SCIENTIFIC_FORMAT extension

inherit

   SCIENTIFIC_FORMAT
      redefine
         formatters
      end

creation
   make

feature

   ---------------------------------------------------------- formatters
   formatters : TYPECHAR_FORMAT_TABLE [ TYPECHAR_FORMATTER ] is
      local
         fmt :  TYPECHAR_FORMATTER
         type : ABSTRACT_FORMATTER
      once
         Result := std_formatters

         !BINARY_FORMATTER!type.make ( 0 )
         !!fmt.make ( 'z', 0, type, "1.1" )
         Result.add ( fmt )
   end

end -- class EXT_SCIENTIFIC_FORMAT

